Vagrant.configure("2") do |config|

  # VM "database" on which mysql server is installed 
  config.vm.define "database" do |database|
    database.vm.box = "debian/stretch64"
    database.vm.hostname = "database"
    database.vm.network "private_network", ip: "192.168.1.253"
  end

  # VM "server" on which wordpress is installed
 config.vm.define "server" do |server|
    server.vm.box = "debian/stretch64"
    server.vm.hostname = "server"
    server.vm.network "private_network", ip: "192.168.1.254"
    # Enable X Forwarding
    server.ssh.forward_agent = true
    server.ssh.forward_x11 = true 
  end
  
  # Provide 1024 MB of RAM to both VM
  config.vm.provider "virtualbox" do |v|
    vmemory = 1024
  end

  # Provide ansible to both VM (specify the path of the ansible playbook and the inventory)
  config.vm.provision "ansible" do |ansible|
    ansible.verbose = "v"
    ansible.playbook = "wordpress_playbook.yml"
    ansible.inventory_path = "hosts"
  end

end
